{% extends 'main.html' %}

{% load static %}

{% load custom_filters %}

{% block content %}
<!-- start page title -->
<div class="row">
    <div class="col-12">
        <div class="page-title-box">
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Projects</a></li>
                    <li class="breadcrumb-item active">Projects List</li>
                </ol>
            </div>
            <h4 class="page-title">All Projects</h4>
        </div>
    </div>
</div>
<!-- end page title --> 

<div class="row mb-2">
    <div class="col-sm-4">
        <a href="{% url 'project_create' user.pk %}" class="btn btn-danger rounded-pill mb-3"><i class="mdi mdi-plus"></i> Create Project</a>
    </div>
    <!-- end col-->
</div> 
<!-- end row-->

<div class="row">
    <!-- Here -->
    <!--  -->
    {% for project in all_projects %}
        <div class="col-md-6 col-xxl-3">
            <!-- project card -->
            <div class="card d-block">
                <div class="card-body">
                    <div class="dropdown card-widgets">
                        <a href="#" class="dropdown-toggle arrow-none" data-bs-toggle="dropdown" aria-expanded="false">
                            <i class="dripicons-dots-3"></i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-end">
                            <!-- item-->
                            <a href="{% url 'project_details' project.id %}" class="dropdown-item"><i class="mdi mdi-pencil me-1"></i>Edit</a>
                            <!-- item-->
                            <a href="{% url 'delete' project.id 'project' %}" class="dropdown-item"><i class="mdi mdi-delete me-1"></i>Delete</a>
                        </div>
                    </div>
                    <!-- project title-->
                    <h4 class="mt-0">
                        <a href="{% url 'project_details' project.id %}" class="text-title">{{ project.name }}</a>
                    </h4>
                    <!--  -->
                    <!--  -->
                    {% if project.status == 'PG' %}
                        <div class="badge bg-info">{{ project.get_status_display }}</div>
                    {% elif project.status == 'IP' %}
                        <div class="badge bg-primary">{{ project.get_status_display }}</div>
                    {% elif project.status == 'BH' %}
                        <div class="badge bg-danger">{{ project.get_status_display }}</div>
                    {% else %}
                        <div class="badge bg-success">{{ project.get_status_display }}</div>
                    {% endif %}
                    <!--  -->
                    <!--  -->
                    <p class="text-muted font-13 my-3">{{ project.description }}...<a href="javascript:void(0);" class="fw-bold text-muted"> view more</a>
                    </p>

                    <!-- project detail-->
                    <p class="mb-1">
                        <span class="pe-2 text-nowrap mb-2 d-inline-block">
                            <i class="mdi mdi-format-list-bulleted-type text-muted"></i>
                            <b>{{ project.tasks.count }}</b> Tasks
                        </span>
                    </p>
                    <div id="tooltip-container">
                        <a href="javascript:void(0);" class="d-inline-block text-muted fw-bold ms-2">
                           Collaborators: {{ project|collaborators_count }}
                        </a>
                    </div>
                </div> <!-- end card-body-->
                <ul class="list-group list-group-flush">
                    <li class="list-group-item p-3">
                        <!-- project progress-->
                        <p class="mb-2 fw-bold">Progress <span class="float-end">{{ project|completion_percentage }}%</span></p>
                        <div class="progress progress-sm">
                            <div class="progress-bar" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%;">
                            </div><!-- /.progress-bar -->
                        </div><!-- /.progress -->
                    </li>
                </ul>
            </div> <!-- end card-->
        </div> <!-- end col -->
    {% endfor %}
    <!-- To Here -->
    <!--  -->
</div>
<!-- end row-->

<!-- bundle -->
<script src="{% static 'js/vendor.min.js' %}"></script>
<script src="{% static 'js/app.min.js' %}"></script>

{% endblock %}